Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class DefaultConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle
          org.apache.logging.log4j.core.filter.AbstractFilterable
              org.apache.logging.log4j.core.config.AbstractConfiguration
                  org.apache.logging.log4j.core.config.DefaultConfiguration

All Implemented Interfaces:
  Serializable, Configuration, Filterable, LifeCycle

    public class DefaultConfiguration

extends AbstractConfiguration

The default configuration writes all output to the Console using the default logging level. You configure default logging level by setting the system property "org.apache.logging.log4j.level" to a level name. If you do not specify the property, Log4j uses the ERROR Level. Log Events will be printed using the basic formatting provided by each Message.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary
`static String` | `DEFAULT_LEVEL` The System Property used to specify the logging level.
`static String` | `DEFAULT_NAME` The name of the default configuration.
`static String` | `DEFAULT_PATTERN` The default Pattern used for the default Layout.

Fields inherited from class org.apache.logging.log4j.core.config.AbstractConfiguration
`isShutdownHookEnabled, listeners, monitor, pluginManager, pluginPackages, rootNode`

Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.config.Configuration
`CONTEXT_PROPERTIES`

Constructor Summary
`DefaultConfiguration()` Constructor to create the default configuration.

Method Summary
`protected void` | `doConfigure()`

Methods inherited from class org.apache.logging.log4j.core.config.AbstractConfiguration
`addAppender, addComponent, addListener, addLogger, addLoggerAppender, addLoggerFilter, createAdvertiser, createConfiguration, getAdvertiser, getAppender, getAppenders, getComponent, getConfigurationMonitor, getConfigurationSource, getCustomLevels, getDefaultStatus, getLogger, getLoggerConfig, getLoggers, getName, getPluginPackages, getProperties, getRootLogger, getStrSubstitutor, isShutdownHookEnabled, removeAppender, removeListener, removeLogger, setAdvertiser, setConfigurationMonitor, setLoggerAdditive, setName, setup, start, stop, toByteArray`

Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable
`addFilter, getFilter, hasFilter, isFiltered, removeFilter`

Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`equalsImpl, getState, hashCodeImpl, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.filter.Filterable
`addFilter, getFilter, hasFilter, isFiltered, removeFilter`

Methods inherited from interface org.apache.logging.log4j.core.LifeCycle
`getState, isStarted, isStopped`

Field Detail

### DEFAULT_NAME

    public static final String DEFAULT_NAME

  The name of the default configuration.

  See Also:
    Constant Field Values

### DEFAULT_LEVEL

    public static final String DEFAULT_LEVEL

  The System Property used to specify the logging level.

  See Also:
    Constant Field Values

### DEFAULT_PATTERN

    public static final String DEFAULT_PATTERN

  The default Pattern used for the default Layout.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultConfiguration

    public DefaultConfiguration()

  Constructor to create the default configuration.

Method Detail

### doConfigure

    protected void doConfigure()

  Overrides:
    `doConfigure` in class `AbstractConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.